Index: mysql-test/r/variables-big.result
===================================================================
--- mysql-test/r/variables-big.result.orig
+++ mysql-test/r/variables-big.result
@@ -1,24 +1,20 @@
-set session transaction_prealloc_size=1024*1024*1024*1;
-show processlist;
+SET SESSION transaction_prealloc_size=1024*1024*1024*1;
+SHOW PROCESSLIST;
 Id	User	Host	db	Command	Time	State	Info
-6	root	localhost	test	Query	0	NULL	show processlist
-set session transaction_prealloc_size=1024*1024*1024*2;
-show processlist;
+<Id>	root	localhost	test	Query	<Time>	NULL	SHOW PROCESSLIST
+SET SESSION transaction_prealloc_size=1024*1024*1024*2;
+SHOW PROCESSLIST;
 Id	User	Host	db	Command	Time	State	Info
-6	root	localhost	test	Query	1	NULL	show processlist
-set session transaction_prealloc_size=1024*1024*1024*3;
-show processlist;
+<Id>	root	localhost	test	Query	<Time>	NULL	SHOW PROCESSLIST
+SET SESSION transaction_prealloc_size=1024*1024*1024*3;
+SHOW PROCESSLIST;
 Id	User	Host	db	Command	Time	State	Info
-6	root	localhost	test	Query	0	NULL	show processlist
-set session transaction_prealloc_size=1024*1024*1024*4;
-Warnings:
-Warning	1292	Truncated incorrect transaction_prealloc_size value: '4294967296'
-show processlist;
+<Id>	root	localhost	test	Query	<Time>	NULL	SHOW PROCESSLIST
+SET SESSION transaction_prealloc_size=1024*1024*1024*4;
+SHOW PROCESSLIST;
 Id	User	Host	db	Command	Time	State	Info
-6	root	localhost	test	Query	0	NULL	show processlist
-set session transaction_prealloc_size=1024*1024*1024*5;
-Warnings:
-Warning	1292	Truncated incorrect transaction_prealloc_size value: '5368709120'
-show processlist;
+<Id>	root	localhost	test	Query	<Time>	NULL	SHOW PROCESSLIST
+SET SESSION transaction_prealloc_size=1024*1024*1024*5;
+SHOW PROCESSLIST;
 Id	User	Host	db	Command	Time	State	Info
-6	root	localhost	test	Query	0	NULL	show processlist
+<Id>	root	localhost	test	Query	<Time>	NULL	SHOW PROCESSLIST
Index: mysql-test/t/variables-big.test
===================================================================
--- mysql-test/t/variables-big.test.orig
+++ mysql-test/t/variables-big.test
@@ -5,16 +5,57 @@
 --source include/big_test.inc
 
 #
-# Bug #27322  	failure to allocate transaction_prealloc_size causes crash
+# Bug#27322 failure to allocate transaction_prealloc_size causes crash
 #
+#
+# Manual (6.0):
+# Platform Bit Size  Range                      Default
+# 32                 1024-4294967295 (4 Gi - 1) 4096
+# 64                 1024-18446744073709547520  4096
+#
+# Observation(mleich):
+# 1. - Linux 64 Bit, MySQL 64 Bit, 4 GiB RAM, 8 GiB swap
+#    - SET SESSION transaction_prealloc_size=1099511627776;
+#      SHOW PROCESSLIST;
+#      Id   User ... Info
+#      <Id> root ... SHOW PROCESSLIST
+#      SELECT @@session.transaction_prealloc_size;
+#      @@session.transaction_prealloc_size
+#      1099511627776
+#      very short runtime in 5.0
+#      excessive resource consumption + long runtime in 5.1 and 6.0
+# 2. - Win in VM, slightly older version of this test, MySQL 5.0
+#    - testcase timeout after 900s
+#      analyze-timeout-mysqld.1.err :
+#      Id User ... Time Info
+#      83 root ... 542  set session transaction_prealloc_size=1024*1024*1024*2
+#      84 root ... 1    SHOW PROCESSLIST
+#
+# There is a significant probablitity that this tests fails with testcase
+# timeout if the testing box is not powerful enough.
+#
+
+--disable_warnings
+SET SESSION transaction_prealloc_size=1024*1024*1024*1;
+--replace_column 1 <Id> 6 <Time>
+# Embedded server is hardcoded to show "Writing to net" as STATE.
+--replace_result "Writing to net" "NULL"
+SHOW PROCESSLIST;
+SET SESSION transaction_prealloc_size=1024*1024*1024*2;
+--replace_column 1 <Id> 6 <Time>
+--replace_result "Writing to net" "NULL"
+SHOW PROCESSLIST;
+SET SESSION transaction_prealloc_size=1024*1024*1024*3;
+--replace_column 1 <Id> 6 <Time>
+--replace_result "Writing to net" "NULL"
+SHOW PROCESSLIST;
+SET SESSION transaction_prealloc_size=1024*1024*1024*4;
+--replace_column 1 <Id> 6 <Time>
+--replace_result "Writing to net" "NULL"
+SHOW PROCESSLIST;
+SET SESSION transaction_prealloc_size=1024*1024*1024*5;
+--replace_column 1 <Id> 6 <Time>
+--replace_result "Writing to net" "NULL"
+SHOW PROCESSLIST;
+--enable_warnings
 
-set session transaction_prealloc_size=1024*1024*1024*1;
-show processlist;
-set session transaction_prealloc_size=1024*1024*1024*2;
-show processlist;
-set session transaction_prealloc_size=1024*1024*1024*3;
-show processlist;
-set session transaction_prealloc_size=1024*1024*1024*4;
-show processlist;
-set session transaction_prealloc_size=1024*1024*1024*5;
-show processlist;
